threads / discuss / 26903

contrib/thunderbird-patch-inline: do not require /bin/bash to run

Subject: contrib/thunderbird-patch-inline: do not require /bin/bash to run

## tl;dr

3 messages between Mar 29, 2011 and Mar 30, 2011.

replies: 2people: 2as markdown or json

Maxin john· Mar 29, 2011, 07:08 UTC · lore
contrib/thunderbird-patch-inline: do not require /bin/bash to run

Modified the patch by incorporating the suggestions from Ángel González <ingenit@zoho.com> and Junio C Hamano <gitster@pobox.com>

Signed-off-by: Maxin B. John <maxin@maxinbjohn.info>
---
diff --git a/contrib/thunderbird-patch-inline/appp.sh
b/contrib/thunderbird-patch-inline/appp.sh
index cc518f3..1d109a5 100755
--- a/contrib/thunderbird-patch-inline/appp.sh
+++ b/contrib/thunderbird-patch-inline/appp.sh
@@ -1,8 +1,8 @@
-#!/bin/bash
+#!/bin/sh
 # Copyright 2008 Lukas Sandström <luksan@gmail.com>
 #
 # AppendPatch - A script to be used together with ExternalEditor
-# for Mozilla Thunderbird to properly include pathes inline i e-mails.
+# for Mozilla Thunderbird to properly include patches inline in e-mails.

 # ExternalEditor can be downloaded at http://globs.org/articles.php?lng=en&pg=2

@@ -16,7 +16,12 @@ else
        cd > /dev/null
 fi

-PATCH=$(zenity --file-selection)
+#check whether zenity is present
+if ! type zenity >/dev/null 2>&1 ; then
+       exit 1
+fi
+
+PATCH=`zenity --file-selection`

 if [ "$?" != "0" ] ; then
        #zenity --error --text "No patchfile given."
Drew Northup· Mar 30, 2011, 17:43 UTC · re: Maxin john · lore

Re: contrib/thunderbird-patch-inline: do not require /bin/bash to run

On Tue, 2011-03-29 at 10:08 +0300, Maxin john wrote:
Show 34 quoted lines
> contrib/thunderbird-patch-inline: do not require /bin/bash to run
> 
> Modified the patch by incorporating the suggestions from Ángel
> González <ingenit@zoho.com> and Junio C Hamano <gitster@pobox.com>
> 
> Signed-off-by: Maxin B. John <maxin@maxinbjohn.info>
> ---
> diff --git a/contrib/thunderbird-patch-inline/appp.sh
> b/contrib/thunderbird-patch-inline/appp.sh
> index cc518f3..1d109a5 100755
> --- a/contrib/thunderbird-patch-inline/appp.sh
> +++ b/contrib/thunderbird-patch-inline/appp.sh
> @@ -1,8 +1,8 @@
> -#!/bin/bash
> +#!/bin/sh
>  # Copyright 2008 Lukas Sandström <luksan@gmail.com>
>  #
>  # AppendPatch - A script to be used together with ExternalEditor
> -# for Mozilla Thunderbird to properly include pathes inline i e-mails.
> +# for Mozilla Thunderbird to properly include patches inline in e-mails.
> 
>  # ExternalEditor can be downloaded at http://globs.org/articles.php?lng=en&pg=2
> 
> @@ -16,7 +16,12 @@ else
>         cd > /dev/null
>  fi
> 
> -PATCH=$(zenity --file-selection)
> +#check whether zenity is present
> +if ! type zenity >/dev/null 2>&1 ; then
> +       exit 1
> +fi
> +
> +PATCH=`zenity --file-selection`

I could be missing something, but I thought we were trying to standardize to the $(....) syntax..., no? I didn't think that was a bash-ism.

>  if [ "$?" != "0" ] ; then
>         #zenity --error --text "No patchfile given."
-- 
-Drew Northup
________________________________________________
"As opposed to vegetable or mineral error?"
-John Pescatore, SANS NewsBites Vol. 12 Num. 59
Drew Northup· Mar 30, 2011, 18:53 UTC · re: Drew Northup · lore

Re: contrib/thunderbird-patch-inline: do not require /bin/bash to run

You can ignore this, I hadn't found the new thread yet....
On Wed, 2011-03-30 at 13:43 -0400, Drew Northup wrote:
Show 42 quoted lines
> On Tue, 2011-03-29 at 10:08 +0300, Maxin john wrote:
> > contrib/thunderbird-patch-inline: do not require /bin/bash to run
> > 
> > Modified the patch by incorporating the suggestions from Ángel
> > González <ingenit@zoho.com> and Junio C Hamano <gitster@pobox.com>
> > 
> > Signed-off-by: Maxin B. John <maxin@maxinbjohn.info>
> > ---
> > diff --git a/contrib/thunderbird-patch-inline/appp.sh
> > b/contrib/thunderbird-patch-inline/appp.sh
> > index cc518f3..1d109a5 100755
> > --- a/contrib/thunderbird-patch-inline/appp.sh
> > +++ b/contrib/thunderbird-patch-inline/appp.sh
> > @@ -1,8 +1,8 @@
> > -#!/bin/bash
> > +#!/bin/sh
> >  # Copyright 2008 Lukas Sandström <luksan@gmail.com>
> >  #
> >  # AppendPatch - A script to be used together with ExternalEditor
> > -# for Mozilla Thunderbird to properly include pathes inline i e-mails.
> > +# for Mozilla Thunderbird to properly include patches inline in e-mails.
> > 
> >  # ExternalEditor can be downloaded at http://globs.org/articles.php?lng=en&pg=2
> > 
> > @@ -16,7 +16,12 @@ else
> >         cd > /dev/null
> >  fi
> > 
> > -PATCH=$(zenity --file-selection)
> > +#check whether zenity is present
> > +if ! type zenity >/dev/null 2>&1 ; then
> > +       exit 1
> > +fi
> > +
> > +PATCH=`zenity --file-selection`
> 
> I could be missing something, but I thought we were trying to
> standardize to the $(....) syntax..., no? I didn't think that was a
> bash-ism.
> 
> >  if [ "$?" != "0" ] ; then
> >         #zenity --error --text "No patchfile given."
-- 
-Drew Northup
________________________________________________
"As opposed to vegetable or mineral error?"
-John Pescatore, SANS NewsBites Vol. 12 Num. 59

← back to recent threads